@import "../variables";
@import "../functions";
@import "../mixins";

.number-selector {
  @include flex-row(center);
  margin-left: 15px;

  p {
    line-height: 35px;
    font-size: 30px;
    font-weight: $font-weight-semibold;
    text-align: center;
    user-select: none;
  }

  .number {
    width: 45px;
    background-color: theme-color("primary");
    color: $body-background;
    font-size: 25px;
  }

  .minus,
  .plus {
    color: gray("700");
    width: 35px;
    background-color: theme-color("primary-alt");
    cursor: pointer;
    transition: $transition;

    &:hover {
      opacity: 0.6;
    }
  }

  .minus {
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
  }

  .plus {
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
  }
}